/*	
$echo FILE:	test_use_cnt.lex
$echo Purpose:	test rules use count as an optimization
$echo Okay
*/
fsm	
(fsm-id	"test_use_cnt.lex",fsm-filename	test_use_cnt,fsm-namespace NS_test_use_cnt
,fsm-class		CTS_la1
,fsm-version	"1.0"	,fsm-date	"17 Juin 2003",fsm-debug	"true"
,fsm-comments	"end-of-line recognizer")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"

/@
@** Rules.\fbreak
@/
rules{
Rtest_use_cnt AD AB(){
  -> Ra Rxx Ra Rxxx eog
}
Rxx AD AB()
{
  -> x Ra x Ra b
}
Rxxx AD AB()
{
  ->  x Ra x Ra x Ra
}
Ra AD AB()
{
  ->  a
  ->  Ra a 
}
}// end of rules
